Package org.postgresql.util

# Class DriverInfo

java.lang.Object
org.postgresql.util.DriverInfo

public final class DriverInfo extends Object
Utility class with constants of Driver information.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DRIVER_FULL_NAME`
`static final String`
`DRIVER_NAME`
`static final String`
`DRIVER_SHORT_NAME`
`static final String`
`DRIVER_VERSION`
`static final int`
`JDBC_MAJOR_VERSION`
`static final int`
`JDBC_MINOR_VERSION`
`static final String`
`JDBC_VERSION`
`static final int`
`MAJOR_VERSION`
`static final int`
`MINOR_VERSION`
`static final int`
`PATCH_VERSION`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DRIVER_NAME

public static final String DRIVER_NAME

See Also:
  - Constant Field Values

### DRIVER_SHORT_NAME

public static final String DRIVER_SHORT_NAME

See Also:
  - Constant Field Values

### DRIVER_VERSION

public static final String DRIVER_VERSION

See Also:
  - Constant Field Values

### DRIVER_FULL_NAME

public static final String DRIVER_FULL_NAME

See Also:
  - Constant Field Values

### MAJOR_VERSION

public static final int MAJOR_VERSION

See Also:
  - Constant Field Values

### MINOR_VERSION

public static final int MINOR_VERSION

See Also:
  - Constant Field Values

### PATCH_VERSION

public static final int PATCH_VERSION

See Also:
  - Constant Field Values

### JDBC_VERSION

public static final String JDBC_VERSION

See Also:
  - Constant Field Values

### JDBC_MAJOR_VERSION

public static final int JDBC_MAJOR_VERSION

### JDBC_MINOR_VERSION

public static final int JDBC_MINOR_VERSION